Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516083 - [abrt] evolution: e_soap_response_from_xmldoc(): evolution killed by SIGSEGV
Summary: [abrt] evolution: e_soap_response_from_xmldoc(): evolution killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution-ews
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Milan Crha
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b29d705acf239f989e3268afcda...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-22 01:22 UTC by Tim Wegener
Modified: 2018-05-29 11:35 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:35:01 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-22 01:22 UTC, Tim Wegener
no flags Details
File: cgroup (deleted)
2017-11-22 01:22 UTC, Tim Wegener
no flags Details
File: core_backtrace (deleted)
2017-11-22 01:22 UTC, Tim Wegener
no flags Details
File: cpuinfo (deleted)
2017-11-22 01:22 UTC, Tim Wegener
no flags Details
File: dso_list (deleted)
2017-11-22 01:23 UTC, Tim Wegener
no flags Details
File: environ (deleted)
2017-11-22 01:23 UTC, Tim Wegener
no flags Details
File: exploitable (deleted)
2017-11-22 01:23 UTC, Tim Wegener
no flags Details
File: limits (deleted)
2017-11-22 01:23 UTC, Tim Wegener
no flags Details
File: maps (deleted)
2017-11-22 01:23 UTC, Tim Wegener
no flags Details
File: open_fds (deleted)
2017-11-22 01:23 UTC, Tim Wegener
no flags Details
File: proc_pid_status (deleted)
2017-11-22 01:23 UTC, Tim Wegener
no flags Details
File: var_log_messages (deleted)
2017-11-22 01:23 UTC, Tim Wegener
no flags Details

Description Tim Wegener 2017-11-22 01:22:45 UTC
Version-Release number of selected component:
evolution-3.24.6-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        evolution
crash_function: e_soap_response_from_xmldoc
executable:     /usr/bin/evolution
journald_cursor: s=c7967710c4154674b30ac56114944d67;i=b501;b=b02bcf49e34d41a6b63f2ee4086a7e70;m=5b86e1ca8;t=55e67e4aca390;x=72a13df88016e55d
kernel:         4.13.12-200.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 e_soap_response_from_xmldoc at /usr/src/debug/evolution-ews-3.24.6/src/server/e-soap-response.c:244
 #1 e_soap_response_new_from_xmldoc at /usr/src/debug/evolution-ews-3.24.6/src/server/e-soap-response.c:153
 #2 e_soap_message_parse_response at /usr/src/debug/evolution-ews-3.24.6/src/server/e-soap-message.c:1190
 #3 ews_response_cb at /usr/src/debug/evolution-ews-3.24.6/src/server/e-ews-connection.c:814
 #4 soup_session_process_queue_item at soup-session.c:2024
 #5 async_run_queue at soup-session.c:2064
 #6 idle_run_queue at soup-session.c:2091
 #7 g_idle_dispatch

Comment 1 Tim Wegener 2017-11-22 01:22:53 UTC
Created attachment 1357121 [details]
File: backtrace

Comment 2 Tim Wegener 2017-11-22 01:22:54 UTC
Created attachment 1357122 [details]
File: cgroup

Comment 3 Tim Wegener 2017-11-22 01:22:56 UTC
Created attachment 1357123 [details]
File: core_backtrace

Comment 4 Tim Wegener 2017-11-22 01:22:58 UTC
Created attachment 1357124 [details]
File: cpuinfo

Comment 5 Tim Wegener 2017-11-22 01:23:00 UTC
Created attachment 1357125 [details]
File: dso_list

Comment 6 Tim Wegener 2017-11-22 01:23:01 UTC
Created attachment 1357126 [details]
File: environ

Comment 7 Tim Wegener 2017-11-22 01:23:03 UTC
Created attachment 1357127 [details]
File: exploitable

Comment 8 Tim Wegener 2017-11-22 01:23:04 UTC
Created attachment 1357128 [details]
File: limits

Comment 9 Tim Wegener 2017-11-22 01:23:07 UTC
Created attachment 1357129 [details]
File: maps

Comment 10 Tim Wegener 2017-11-22 01:23:08 UTC
Created attachment 1357130 [details]
File: open_fds

Comment 11 Tim Wegener 2017-11-22 01:23:10 UTC
Created attachment 1357131 [details]
File: proc_pid_status

Comment 12 Tim Wegener 2017-11-22 01:23:11 UTC
Created attachment 1357132 [details]
File: var_log_messages

Comment 13 Milan Crha 2017-11-22 17:06:08 UTC
Thanks for a bug report. I see that the crash happened while one folder had been refreshing and there had been also requested download of some message. I do not see from the backtrace whether it's at the same folder or not. The message had been downloaded from Inbox/Confluence folder, if I read it correctly. It seems that the server returned something with what the evolution-ews code doesn't count, maybe an incomplete or otherwise invalid XML. Hard to tell from the backtrace.

Are you able to reproduce this reliably, like when you enter the folder, please? In case you do, could yo repeat it with EWS debugging on, thus it'll show what the server returned? Such log can be captued when you run evolution from a terminal like this:

   $ EWS_DEBUG=2 evolution &>log.txt

Please note that the log contains raw communication between the server and evolution, thus plenty of private information from folder listing to downloaded message contents. I'm not interested in all of it, I'm interested only in its end, to see what the server returned before evolution crashed.

Comment 14 Matt McAdoo 2018-02-23 17:37:38 UTC
*** Bug 1548514 has been marked as a duplicate of this bug. ***

Comment 15 Fedora End Of Life 2018-05-03 08:08:56 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2018-05-29 11:35:01 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.